<?php

$status = array
(
    1 => array('name' => '待入账', 'style' => 'font-weight:bold;color:#436EEE'),
    2 => array('name' => '已入账', 'style' => 'font-weight:bold;color:green'),
    3 => array('name' => '已作废', 'style' => 'font-weight:bold;color:#CD3700'),
);

return array
(
    # 表名
    'name' => 'use_money_sign',
    # 显示给用户看的名称
    'lang' => '用户资金流水',
    'order' => 99,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'uid'      => array
        (
            'type'      => 'int-11',
            'name'      => '用户信息',
            'default'   => '-1',
            'desc'      => '用户信息',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'      =>'Dever::load("shop/lib/money.showUser", {uid})',
            'list_order' => 2,
        ),

        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '交易时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            //'list_name'      => '交易时间<br />审核时间',
            //'list'      => 'Dever::load("bill/lib/cash.order_num#num", {id})',
            //'list_order'  => 20,
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
        'edit' => false,
        'page_list' => 'user_money',
    ),

    'request' => array
    (
        
    ),
);
