<?php
$type = array
(
    1 => '文本框',
    2 => '下拉框',
);
$is_must = array
(
    1 => '必填项',
    2 => '选填项',
);
$id = Dever::input('search_option_active_id');
return array
(
    # 表名
    'name' => 'info_field',
    # 显示给用户看的名称
    'lang' => '字段设置',
    # 后台菜单排序
    'order' => 2,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'active_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '活动名称',
            'default'   => '-1',
            'desc'      => '活动名称',
            'match'     => 'is_string',
            'value'     => $id,
            'update'    => 'hidden',
            // 'search'    => 'text',
            'list'      => "Dever::load('active/lib/manage.active#active_name',{active_id})",
        ),

        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '名称',
            'default'   => '',
            'desc'      => '名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'is_must'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否必填',
            'default'   => '1',
            'desc'      => '是否必填',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $is_must,
            'search'    => 'select',
            'list'      => true,
            //'edit'        => true,
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
            'control'	=> 'type',
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	//'insert' => false,
        // 'delete' => false,
        // 'edit' => false,
        'list_button' => array
		(
			'list1' => array('属性值设置', '"info_field_value&project=active&search_option_field_id={id}&oper_table=info_field&oper_project=active&top_table=info&search_option_active_id={active_id}"' , '{type} > 1'),
			
		),
    ),

    'request' => array
    (
        'getList' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'active_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','type'=>'asc'),
            'col' => 'id,name,type,is_must',
        ),
    ),
);
