<?php

return array
(
    # 表名
    'name' => 'option_exercise',
    # 显示给用户看的名称
    'lang' => '行权条件',
    # 后台菜单排序
    'order' => 2,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '条件名',
            'default'   => '',
            'desc'      => '条件名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	//'insert' => false,
        // 'delete' => false,
        // 'edit' => false,
    ),

    'request' => array
    (
        'getSearch' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'col' => array('yes-mobile,name', 'like'),
            ),
            'type' => 'all',
            'col' => '*|id',
        ),
    ),
);
