-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- 主机： web-mysql
-- 生成日期： 2022-04-26 06:30:35
-- 服务器版本： 10.1.32-MariaDB
-- PHP 版本： 7.3.22

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- 数据库： `churen`
--

-- --------------------------------------------------------

--
-- 表的结构 `churen_manage_menu`
--

DROP TABLE IF EXISTS `churen_manage_menu`;
CREATE TABLE `churen_manage_menu` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '菜单ID',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `group_id` int(11) NOT NULL DEFAULT '1' COMMENT '选择分组',
  `menu_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级菜单',
  `menu` varchar(800) DEFAULT NULL COMMENT '上级菜单',
  `key` varchar(100) DEFAULT NULL COMMENT '菜单标识-选填，可以为空，用来标识菜单的唯一性',
  `link` varchar(150) DEFAULT NULL COMMENT '链接(或路径)-选填，可以为空',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `type` tinyint(1) NOT NULL DEFAULT '2' COMMENT '开启子菜单',
  `icon` varchar(100) DEFAULT NULL COMMENT '图标代码-请<A HREF="HTTPS://WWW.LAYUI.COM/DOC/ELEMENT/ICON.HTML" TARGET="_BLANK">点此</A>查看图标代码',
  `fast` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否快捷菜单',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `churen_manage_menu`
--

INSERT INTO `churen_manage_menu` (`id`, `name`, `group_id`, `menu_id`, `menu`, `key`, `link`, `reorder`, `type`, `icon`, `fast`, `state`, `cdate`) VALUES
(1, '主页', 1, -1, '-1', 'console', 'console:主页', 10000, 2, 'layui-icon-home', 2, 1, 1634207090),
(2, '控制台', 1, 1, '1', 'console.index', 'https://www.churenyiliao.com/package/manage/?l=console', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(3, '后台设置', 5, -1, '-1', 'manage', '/share/lib/php/dever_package/manage/:后台设置', -100, 2, 'glyphicon glyphicon-wrench layui-icon-set-sm', 2, 1, 1634207090),
(4, '管理账户设置', 1, 3, '3', 'manage.admin', 'project/database/list?project=manage&table=admin&menu=manage&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(5, '接口列表', 1, 3, '3', 'manage.api', 'project/database/list?project=manage&table=api&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(6, '后台个性化', 1, 3, '3', 'manage.config', 'project/database/list?project=manage&table=config&menu=manage&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(7, '计划任务', 1, 3, '3', 'manage.cron', 'project/database/list?project=manage&table=cron&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(8, '管理组设置', 1, 3, '3', 'manage.group', 'project/database/list?project=manage&table=group&menu=manage&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(9, '管理操作日志', 1, 3, '3', 'manage.log', 'project/database/list?project=manage&table=log&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(10, '管理菜单设置', 1, 3, '3', 'manage.menu', 'project/database/list?project=manage&table=menu&menu=manage&search_option_state=1', 2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(11, '后台公告管理', 1, 3, '3', 'manage.notice', 'project/database/list?project=manage&table=notice&menu=manage&search_option_state=1', 7, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(12, '字段记录表', 1, 3, '3', 'manage.opt', 'project/database/list?project=manage&table=opt&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(13, '管理角色设置', 1, 3, '3', 'manage.role', 'project/database/list?project=manage&table=role&menu=manage&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207090),
(14, '用户管理', 5, -1, '-1', 'passport', '/share/lib/php/dever_package/passport/:用户管理', 50, 2, 'glyphicon glyphicon-user layui-icon-username', 2, 1, 1634207098),
(15, '默认头像', 1, 14, '14', 'passport.avatar', 'project/database/list?project=passport&table=avatar&menu=passport&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207098),
(16, '职业设置', 1, 14, '14', 'passport.profession', 'project/database/list?project=passport&table=profession&menu=passport&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207098),
(17, '项目管理', 1, 14, '14', 'passport.system', 'project/database/list?project=passport&table=system&menu=passport&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207098),
(18, '用户管理', 1, 14, '14', 'passport.user', 'project/database/list?project=passport&table=user&menu=passport&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207098),
(19, '上传资源管理', 5, -1, '-1', 'upload', '/share/lib/php/dever_package/upload/:资源库', 10, 2, 'glyphicon glyphicon-upload layui-icon-picture', 2, 1, 1634207104),
(20, '资源分类', 1, 19, '19', 'upload.cate', 'project/database/list?project=upload&table=cate&menu=upload&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207104),
(21, '资源列表', 1, 19, '19', 'upload.file', 'project/database/list?project=upload&table=file&menu=upload&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207104),
(22, '资源配置', 1, 19, '19', 'upload.upload', 'project/database/list?project=upload&table=upload&menu=upload&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207104),
(23, '云端配置', 1, 19, '19', 'upload.yun', 'project/database/list?project=upload&table=yun&menu=upload&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207104),
(24, '行政区域设置', 5, -1, '-1', 'area', '/share/lib/php/dever_package/area/:地区设置', 20, 2, 'glyphicon glyphicon-compressed layui-icon-flag', 2, 1, 1634207108),
(25, '城市', 1, 24, '24', 'area.city', 'project/database/list?project=area&table=city&menu=area&search_option_state=1', 11, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207108),
(26, '县区', 1, 24, '24', 'area.county', 'project/database/list?project=area&table=county&menu=area&search_option_state=1', 12, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207108),
(27, '省份', 1, 24, '24', 'area.province', 'project/database/list?project=area&table=province&menu=area&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207108),
(28, '零售订单管理', 6, -1, '-1', 'menu_28', '/share/lib/php/dever_package/category/:分类管理', 199, 2, 'glyphicon glyphicon-credit-card layui-icon-templeate-1', 2, 2, 1634207116),
(29, '栏目管理', 1, 28, '28', 'manage.menu.menu_29', 'project/database/list?project=category&table=column&menu=category&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207116),
(30, '分类列表', 1, 28, '28', 'menu_30', 'project/database/list?project=category&table=info&menu=category&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207116),
(31, '类别规格关联设置', 2, 53, '53', 'category.attr', 'project/database/list?project=category&table=attr&menu=category&search_option_state=1', 194, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207121),
(32, '采购订单管理', 6, -1, '-1', 'menu_32', '/share/lib/php/dever_package/attr/:属性管理', 10, 2, 'glyphicon glyphicon-hdd layui-icon-table', 2, 2, 1634207121),
(33, '商品规格分类设置', 2, 53, '53', 'attr.cate', 'project/database/list?project=attr&table=cate&menu=attr&search_option_state=1', 196, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207121),
(34, '商品规格设置', 2, 53, '53', 'goods.menu_34', 'project/database/list?project=attr&table=info&menu=attr&search_option_state=1', 197, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207121),
(35, '积分规则配置', 5, -1, '-1', 'score', '/share/lib/php/dever_package/score/:积分规则配置', 1, 2, 'glyphicon glyphicon-credit-card layui-icon-chat', 2, 1, 1634207126),
(36, '用户行为配置', 1, 35, '35', 'score.action', 'project/database/list?project=score&table=action&menu=score&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207126),
(37, '积分名称设置', 1, 35, '35', 'score.config', 'project/database/list?project=score&table=config&menu=score&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207126),
(38, '积分等级设置', 1, 35, '35', 'score.level', 'project/database/list?project=score&table=level&menu=score&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207126),
(39, '消息中心', 4, -1, '-1', 'message', '/share/lib/php/dever_package/message/:消息系统', 100, 2, 'glyphicon glyphicon-dashboard layui-icon-senior', 2, 1, 1634207132),
(40, '收件箱', 1, 39, '39', 'message.inbox', 'project/database/list?project=message&table=inbox&menu=message&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207132),
(41, '发件箱', 1, 39, '39', 'message.outbox', 'project/database/list?project=message&table=outbox&menu=message&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207132),
(42, '项目管理', 1, 39, '39', 'message.project', 'project/database/list?project=message&table=project&menu=message&search_option_state=1', 30, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207132),
(43, '推送配置', 1, 39, '39', 'manage.menu.menu_43', 'project/database/list?project=message&table=push&menu=message&search_option_state=1', 97, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207132),
(44, '消息类型设置', 1, 39, '39', 'manage.menu.menu_44', 'project/database/list?project=message&table=type&menu=message&search_option_state=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207132),
(45, '支付管理', 5, -1, '-1', 'pay', '/share/lib/php/dever_package/pay/:支付管理', 30, 2, 'glyphicon glyphicon-usd layui-icon-diamond', 2, 1, 1634207139),
(46, '账户管理', 1, 45, '45', 'pay.account', 'project/database/list?project=pay&table=account&menu=pay&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207139),
(47, '订单管理', 1, 45, '45', 'pay.order', 'project/database/list?project=pay&table=order&menu=pay&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207139),
(48, '项目管理', 1, 45, '45', 'pay.project', 'project/database/list?project=pay&table=project&menu=pay&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207139),
(49, '平台设置', 4, -1, '-1', 'main', '/www/churen/main/:基础设置', 300, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1634207178),
(50, '网站基础信息', 2, 49, '49', 'main.config', 'project/database/list?project=main&table=config&menu=main&search_option_state=1', 97, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207178),
(51, '帮助中心', 4, 73, '73', 'main.help', 'project/database/list?project=main&table=help&menu=main&search_option_state=1', 199, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207178),
(52, '单页管理', 1, 49, '49', 'main.page', 'project/database/list?project=main&table=page&menu=main&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207178),
(53, '商品管理', 2, -1, '-1', 'goods', '/www/churen/app/goods/:商品管理', 500, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1634207186),
(54, '礼品卡配置', 4, 71, '71', 'manage.menu.menu_54', 'project/database/list?project=goods&table=card&menu=goods&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207186),
(55, '优惠券配置', 4, 71, '71', 'goods.coupon', 'project/database/list?project=goods&table=coupon&menu=goods&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207186),
(56, '商品设置', 2, 53, '53', 'goods.info', 'project/database/list?project=goods&table=info&menu=goods&search_option_state=1', 200, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207186),
(57, '工厂管理', 2, -1, '-1', 'factory', '/www/churen/app/factory/:工厂管理', 600, 2, 'glyphicon glyphicon-tower layui-icon-flag', 2, 1, 1634207199),
(58, '工厂列表', 2, 57, '57', 'factory.info', 'project/database/list?project=factory&table=info&menu=factory&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207199),
(59, '仓库管理', 2, -1, '-1', 'store', '/www/churen/app/store/:仓库管理', 700, 2, 'glyphicon glyphicon-tower layui-icon-template-1', 2, 1, 1634207205),
(60, '仓库列表', 2, 59, '59', 'store.info', 'project/database/list?project=store&table=info&menu=store&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207205),
(61, '门店管理', 2, -1, '-1', 'menu_61', '/www/churen/app/shop/:门店管理', 800, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1634207211),
(62, '反馈列表', 4, 69, '69', 'shop.feedback', 'project/database/list?project=shop&table=feedback&menu=shop&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207211),
(63, '焦点图管理', 1, 61, '61', 'manage.menu.menu_63', 'project/database/list?project=shop&table=focus&menu=shop&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634207211),
(64, '门店列表', 2, 61, '61', 'shop.info', 'project/database/list?project=shop&table=info&menu=shop&search_option_state=1', 900, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634207211),
(65, '商品栏目管理', 2, 53, '53', 'goods.column', 'project/database/list?project=goods&table=column&menu=goods&search_option_state=1', 199, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634524826),
(66, '商品类别管理', 2, 53, '53', 'category.info', 'project/database/list?project=category&table=info&menu=category&search_option_state=1', 195, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634623901),
(67, '第三方登录', 1, -1, '-1', 'manage.menu.menu_67', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 2, 1634623901),
(68, '第三方管理', 1, 67, '67', 'oauth.account', 'project/database/list?project=oauth&table=account&menu=oauth&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634623901),
(69, '用户反馈', 4, -1, '-1', 'push', '/share/lib/php/dever_package/push/:推送管理', 199, 2, 'glyphicon glyphicon-tower layui-icon-template-1', 2, 1, 1634623901),
(70, '推送位管理', 1, 69, '69', 'manage.menu.menu_70', 'project/database/list?project=push&table=info&menu=push&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634623901),
(71, '营销设置', 4, -1, '-1', 'act', '/www/churen/app/act/:活动管理', 200, 2, 'glyphicon glyphicon-tower layui-icon-reply-fill', 2, 1, 1634623910),
(72, '活动管理', 1, 71, '71', 'act.info', 'project/database/list?project=act&table=info&menu=act&search_option_state=1', 200, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634623910),
(73, '内容管理', 4, -1, '-1', 'content', '/www/churen/app/content/:内容管理', 400, 2, 'glyphicon glyphicon-tower layui-icon-tabs', 2, 1, 1634623916),
(74, '专题页面', 4, 73, '73', 'content.feature', 'project/database/list?project=content&table=feature&menu=content&search_option_state=1', 195, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634623916),
(75, '文章页面', 4, 73, '73', 'manage.menu.menu_75', 'project/database/list?project=content&table=news&menu=content&search_option_state=1', 194, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634623916),
(76, '结算对账', 6, -1, '-1', 'manage.menu.menu_76', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 2, 1634624286),
(77, '推荐位管理', 1, 73, '73', 'push.data', 'project/database/list?project=push&table=data&menu=push&search_option_state=1', 200, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634624286),
(78, '街道', 1, 24, '24', 'area.town', 'project/database/list?project=area&table=town&menu=area&search_option_state=1', 13, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634710961),
(79, '社区', 1, 24, '24', 'area.village', 'project/database/list?project=area&table=village&menu=area&search_option_state=1', 14, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634710961),
(80, '推送位管理', 1, 69, '69', 'manage.menu.menu_80', 'project/database/list?project=push&table=info&menu=push&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1634710961),
(81, '海报管理', 5, -1, '-1', 'menu_81', '/share/lib/php/dever_package/poster/:海报管理', -2, 2, 'glyphicon glyphicon-warning-sign layui-icon-template', 2, 2, 1634710961),
(82, '模板设置', 1, 81, '81', 'poster.template', 'project/database/list?project=poster&table=template&menu=poster&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634710961),
(83, '商品标签管理', 2, 53, '53', 'goods.tag', 'project/database/list?project=goods&table=tag&menu=goods&search_option_state=1', 198, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634786713),
(84, '门店采购查询', 2, 61, '61', 'menu_61.menu_84', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1&search_option_type=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634786713),
(85, '门店零售订单查询', 2, 61, '61', 'menu_61.menu_85', 'project/database/list?project=shop&table=sell_order&menu=shop&search_option_state=1&search_option_shop_type=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634786713),
(86, '推送位管理', 1, 3, '3', 'push.info', 'project/database/list?project=push&table=info&menu=push&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634786713),
(87, '公司动态', 4, 73, '73', 'main.news', 'project/database/list?project=main&table=news&menu=main&search_option_state=1', 198, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634802302),
(88, '招聘信息', 4, 73, '73', 'main.zhaopin', 'project/database/list?project=main&table=zhaopin&menu=main&search_option_state=1', 196, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1634802302),
(89, '供应链基础信息', 1, 49, '49', 'main.factory_config', 'project/database/list?project=main&table=factory_config&menu=main&search_option_state=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1635606246),
(90, '门店小程序信息', 1, 49, '49', 'main.manage_config', 'project/database/list?project=main&table=manage_config&menu=main&search_option_state=1', 95, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1635606246),
(91, '零售小程序信息', 1, 49, '49', 'main.sell_config', 'project/database/list?project=main&table=sell_config&menu=main&search_option_state=1', 96, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1635606246),
(92, '新增门店', 2, 61, '61', 'manage.menu.menu_92', 'project/database/update&project=shop&table=info&menu=shop&menu_id=64&search_option_state=1', 1000, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1635607001),
(93, '新增工厂', 2, 57, '57', 'manage.menu.menu_93', 'project/database/update&project=factory&&table=info&menu=factory&menu_id=58&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1635607648),
(94, '新增仓库', 1, 59, '59', 'manage.menu.menu_94', 'project/database/update&project=store&&table=info&menu=store&menu_id=60&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1635607688),
(95, '门店合作申请', 1, 61, '61', 'shop.apply', 'project/database/list?project=shop&table=apply&menu=shop&search_option_state=1', 800, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1635686596),
(96, '海报管理', 1, -1, '-1', 'manage.menu.menu_96', '/share/lib/php/dever_package/poster/:海报管理', -2, 2, 'glyphicon glyphicon-warning-sign layui-icon-template', 2, 2, 1635686596),
(97, '配送服务商', 4, 49, '49', 'main.menu_97', 'project/database/list?project=shop&table=service&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636450211),
(98, '平台订货下单', 2, 57, '57', 'factory.menu_98', 'https://www.churenyiliao.com/app/factory/?l=lib/manage.cashier', 98, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636450920),
(99, '仓库入库单查询', 2, 59, '59', 'store.menu_99', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1&search_option_type=2', 97, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636451393),
(100, '门店零售结算单', 6, 76, '76', 'menu_76.menu_100', 'project/database/list?project=shop&table=sell_stat_month&menu=shop&search_option_state=1&search_option_type=2', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636451656),
(101, '分类管理', 1, -1, '-1', 'manage.menu.menu_101', '/share/lib/php/dever_package/category/:分类管理', 10, 2, 'glyphicon glyphicon-credit-card layui-icon-templeate-1', 2, 2, 1636452047),
(102, '属性管理', 1, -1, '-1', 'manage.menu.menu_102', '/share/lib/php/dever_package/attr/:属性管理', 10, 2, 'glyphicon glyphicon-hdd layui-icon-table', 2, 2, 1636452047),
(103, '采购订单', 1, 61, '61', 'manage.menu.menu_103', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1636452047),
(104, '配送服务商', 1, 61, '61', 'manage.menu.menu_104', 'project/database/list?project=shop&table=service&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1636452047),
(105, '第三方登录', 1, -1, '-1', 'manage.menu.menu_105', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 2, 1636452047),
(106, '门店零售对账单', 1, 76, '76', 'menu_76.menu_106', 'project/database/list?project=shop&table=sell_stat_month&menu=shop&search_option_state=1&search_option_type=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636452354),
(107, '门店采购对账单', 6, 76, '76', 'menu_76.menu_107', 'project/database/list?project=shop&table=buy_stat_month&menu=shop&search_option_state=1&search_option_type=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636453834),
(108, '门店采购结算单', 6, 76, '76', 'menu_76.menu_108', 'project/database/list?project=shop&table=buy_stat_month&menu=shop&search_option_state=1&search_option_type=2', 97, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636453860),
(109, '仓库对账单', 6, 76, '76', 'menu_76.menu_109', 'project/database/list?project=shop&table=store_stat_month&menu=shop&search_option_state=1', 96, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636453890),
(110, '工厂对账单', 1, 76, '76', 'menu_76.menu_110', 'project/database/list?project=shop&table=factory_stat_month&menu=shop&search_option_state=1&search_option_type=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636453927),
(111, '工厂结算单', 1, 76, '76', 'menu_76.menu_111', 'project/database/list?project=shop&table=factory_stat_month&menu=shop&search_option_state=1&search_option_type=2', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1636453948),
(112, '采购订单', 1, 61, '61', 'manage.menu.menu_112', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1636705853),
(113, '配送服务商', 1, 61, '61', 'manage.menu.menu_113', 'project/database/list?project=shop&table=service&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1636705853),
(114, '结算对账', 6, -1, '-1', 'menu_114', '/www/churen/app/cash/:结算对账', 8, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 2, 1636705853),
(115, '门店对账单', 1, 114, '114', 'manage.menu.menu_115', 'project/database/list?project=cash&table=shop&menu=cash&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1636705853),
(116, '分类管理', 5, -1, '-1', 'category', '/share/lib/php/dever_package/category/:分类管理', 10, 2, 'glyphicon glyphicon-credit-card layui-icon-templeate-1', 2, 1, 1637138455),
(117, '出库订单管理', 6, -1, '-1', 'menu_117', '/share/lib/php/dever_package/attr/:属性管理', 9, 2, 'glyphicon glyphicon-hdd layui-icon-table', 2, 2, 1637138455),
(118, '采购额统计', 6, 121, '121', 'menu_121.menu_118', 'project/database/list?project=shop&table=buy_stat&menu=shop&search_option_state=1', -5, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(119, '门店出库单查询', 2, 61, '61', 'menu_61.menu_119', 'project/database/list?project=shop&table=out_order&menu=shop&search_option_state=1&search_option_type=1', 97, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(120, '营业额统计', 6, 121, '121', 'menu_121.menu_120', 'project/database/list?project=shop&table=sell_stat&menu=shop&search_option_state=1', -4, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(121, '统计分析', 1, -1, '-1', 'menu_121', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 1, 1637138455),
(122, '海报管理', 5, -1, '-1', 'poster', '/share/lib/php/dever_package/poster/:海报管理', -2, 2, 'glyphicon glyphicon-warning-sign layui-icon-template', 2, 1, 1637138455),
(123, '工厂对账单', 2, 57, '57', 'factory.menu_123', 'project/database/list?project=cash&table=factory&menu=cash&search_option_state=1', 70, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(124, '门店结算单', 2, 61, '61', 'menu_61.menu_124', 'project/database/list?project=cash&table=order&menu=cash&search_option_state=1&search_option_search=1&page_type=2&search_option_type=1', 95, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(125, '仓库对账单', 2, 59, '59', 'store.menu_125', 'project/database/list?project=cash&table=store&menu=cash&search_option_state=1', 60, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138455),
(126, '工厂结算单', 2, 57, '57', 'factory.menu_126', 'project/database/list?project=cash&table=order&menu=cash&search_option_state=1&search_option_search=3&page_type=2&search_option_source_type=3', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637138766),
(127, '仓库出库查询', 2, 59, '59', 'store.menu_127', 'project/database/list?project=shop&table=out_order&menu=shop&search_option_state=1&search_option_type=2', 95, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637139739),
(128, '零售用户统计', 6, 121, '121', 'menu_121.menu_128', 'project/database/list?project=passport&table=stat&menu=stat&search_option_state=1', -11, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637139898),
(129, '属性管理', 5, -1, '-1', 'attr', '/share/lib/php/dever_package/attr/:属性管理', 10, 2, 'glyphicon glyphicon-hdd layui-icon-table', 2, 1, 1637143356),
(130, '采购订单', 1, 61, '61', 'manage.menu.menu_130', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(131, '采购额统计', 1, 61, '61', 'manage.menu.menu_131', 'project/database/list?project=shop&table=buy_stat&menu=shop&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(132, '出库订单', 1, 61, '61', 'manage.menu.menu_132', 'project/database/list?project=shop&table=out_order&menu=shop&search_option_state=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(133, '销售额统计', 1, 61, '61', 'manage.menu.menu_133', 'project/database/list?project=shop&table=sell_stat&menu=shop&search_option_state=1', -9, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(134, '配送服务商', 1, 61, '61', 'manage.menu.menu_134', 'project/database/list?project=shop&table=service&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(135, '第三方登录', 5, -1, '-1', 'oauth', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 1, 1637143356),
(136, '结算单', 1, 114, '114', 'manage.menu.menu_136', 'project/database/list?project=cash&table=order&menu=cash&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637143356),
(137, '门店对账单', 2, 61, '61', 'menu_61.menu_137', 'project/database/list?project=cash&table=shop&menu=cash&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143356),
(138, 'Token管理', 5, -1, '-1', 'token', '/share/lib/php/dever_package/token/:Token管理', -1, 2, 'glyphicon glyphicon-road layui-icon-engine', 2, 1, 1637143356),
(139, '请求日志', 1, 138, '138', 'token.log', 'project/database/list?project=token&table=log&menu=token&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143356),
(140, '项目管理', 1, 138, '138', 'token.project', 'project/database/list?project=token&table=project&menu=token&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143356),
(141, '小程序管理', 5, -1, '-1', 'wechat_applet', '/share/lib/php/dever_package/wechat_applet/:小程序管理', 90, 2, 'glyphicon glyphicon-tint layui-icon-release', 2, 1, 1637143367),
(142, '模板消息列表', 1, 141, '141', 'wechat_applet.msg', 'project/database/list?project=wechat_applet&table=msg&menu=wechat_applet&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143367),
(143, '模板消息日志', 1, 141, '141', 'wechat_applet.msg_log', 'project/database/list?project=wechat_applet&table=msg_log&menu=wechat_applet&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143367),
(144, '发送模板消息', 1, 141, '141', 'wechat_applet.msg_send', 'project/database/list?project=wechat_applet&table=msg_send&menu=wechat_applet&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143367),
(145, '统计概览', 1, 141, '141', 'wechat_applet.total_base', 'project/database/list?project=wechat_applet&table=total_base&menu=wechat_applet&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637143367),
(146, '资源库', 5, -1, '-1', 'manage.menu.menu_146', '/share/lib/php/dever_package/upload/:资源库', -90, 2, 'glyphicon glyphicon-upload layui-icon-picture', 2, 2, 1637229112),
(147, '资源分类', 1, 146, '146', 'upload.cate', 'project/database/list?project=upload&table=cate&menu=upload&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(148, '资源列表', 1, 146, '146', 'upload.file', 'project/database/list?project=upload&table=file&menu=upload&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(149, '资源配置', 1, 146, '146', 'upload.upload', 'project/database/list?project=upload&table=upload&menu=upload&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(150, '云端配置', 1, 146, '146', 'upload.yun', 'project/database/list?project=upload&table=yun&menu=upload&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(151, '地区设置', 5, -1, '-1', 'manage.menu.menu_151', '/share/lib/php/dever_package/area/:地区设置', -10, 2, 'glyphicon glyphicon-compressed layui-icon-flag', 2, 2, 1637229112),
(152, '城市', 1, 151, '151', 'area.city', 'project/database/list?project=area&table=city&menu=area&search_option_state=1', 11, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(153, '县区', 1, 151, '151', 'area.county', 'project/database/list?project=area&table=county&menu=area&search_option_state=1', 12, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(154, '省份', 1, 151, '151', 'area.province', 'project/database/list?project=area&table=province&menu=area&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(155, '街道', 1, 151, '151', 'area.town', 'project/database/list?project=area&table=town&menu=area&search_option_state=1', 13, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(156, '社区', 1, 151, '151', 'area.village', 'project/database/list?project=area&table=village&menu=area&search_option_state=1', 14, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(157, '分类属性设置', 1, 101, '101', 'category.attr', 'project/database/list?project=category&table=attr&menu=category&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(158, '分类列表', 1, 101, '101', 'category.info', 'project/database/list?project=category&table=info&menu=category&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(159, '属性类别', 1, 102, '102', 'attr.cate', 'project/database/list?project=attr&table=cate&menu=attr&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(160, '属性设置', 1, 102, '102', 'attr.info', 'project/database/list?project=attr&table=info&menu=attr&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(161, '消息系统', 4, -1, '-1', 'message', '/share/lib/php/dever_package/message/:消息系统', -6, 2, 'glyphicon glyphicon-dashboard layui-icon-senior', 2, 1, 1637229112),
(162, '收件箱', 1, 161, '161', 'message.inbox', 'project/database/list?project=message&table=inbox&menu=message&search_option_state=1', 18, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(163, '发件箱', 1, 161, '161', 'message.outbox', 'project/database/list?project=message&table=outbox&menu=message&search_option_state=1', 19, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(164, '项目管理', 1, 161, '161', 'message.project', 'project/database/list?project=message&table=project&menu=message&search_option_state=1', 30, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(165, '基础设置', 4, -1, '-1', 'manage.menu.menu_165', '/www/churen/main/:基础设置', 98, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1637229112),
(166, '网站基础信息', 1, 165, '165', 'main.config', 'project/database/list?project=main&table=config&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(167, '供应链基础信息', 1, 165, '165', 'main.factory_config', 'project/database/list?project=main&table=factory_config&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(168, '帮助中心', 1, 165, '165', 'main.help', 'project/database/list?project=main&table=help&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(169, '门店小程序信息', 1, 165, '165', 'main.manage_config', 'project/database/list?project=main&table=manage_config&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(170, '文章管理', 1, 165, '165', 'main.news', 'project/database/list?project=main&table=news&menu=main&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(171, '单页管理', 1, 165, '165', 'main.page', 'project/database/list?project=main&table=page&menu=main&search_option_state=1', 2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(172, '零售小程序信息', 1, 165, '165', 'main.sell_config', 'project/database/list?project=main&table=sell_config&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(173, '招聘信息', 1, 165, '165', 'main.zhaopin', 'project/database/list?project=main&table=zhaopin&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(174, '礼品卡配置', 1, 53, '53', 'manage.menu.menu_174', 'project/database/list?project=goods&table=card&menu=goods&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1637229112),
(175, '栏目管理', 1, 53, '53', 'goods.column', 'project/database/list?project=goods&table=column&menu=goods&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(176, '优惠券配置', 1, 53, '53', 'goods.coupon', 'project/database/list?project=goods&table=coupon&menu=goods&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(177, '商品列表', 1, 53, '53', 'goods.info', 'project/database/list?project=goods&table=info&menu=goods&search_option_state=1', 200, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(178, '标签管理', 1, 53, '53', 'goods.tag', 'project/database/list?project=goods&table=tag&menu=goods&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(179, '门店零售', 2, -1, '-1', 'manage.menu.menu_179', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1637229112),
(180, '门店合作申请', 1, 179, '179', 'shop.apply', 'project/database/list?project=shop&table=apply&menu=shop&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(181, '采购订单', 1, 179, '179', 'shop.buy_order', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(182, '采购额统计', 1, 179, '179', 'shop.buy_stat', 'project/database/list?project=shop&table=buy_stat&menu=shop&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(183, '反馈管理', 1, 179, '179', 'shop.feedback', 'project/database/list?project=shop&table=feedback&menu=shop&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(184, '门店列表', 1, 179, '179', 'shop.info', 'project/database/list?project=shop&table=info&menu=shop&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(185, '出库订单', 1, 179, '179', 'shop.out_order', 'project/database/list?project=shop&table=out_order&menu=shop&search_option_state=1', 98, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(186, '销售订单', 1, 179, '179', 'shop.sell_order', 'project/database/list?project=shop&table=sell_order&menu=shop&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(187, '销售额统计', 1, 179, '179', 'shop.sell_stat', 'project/database/list?project=shop&table=sell_stat&menu=shop&search_option_state=1', -9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(188, '配送服务商', 1, 179, '179', 'shop.service', 'project/database/list?project=shop&table=service&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(189, '推送管理', 4, -1, '-1', 'push', '/share/lib/php/dever_package/push/:推送管理', 199, 2, 'glyphicon glyphicon-tower layui-icon-template-1', 2, 1, 1637229112),
(190, '首页焦点图下的推送数据管理', 1, 189, '189', 'push.data', 'project/database/list?project=push&table=data&menu=push&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(191, '推送位管理', 1, 189, '189', 'push.info', 'project/database/list?project=push&table=info&menu=push&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(192, '活动管理', 4, -1, '-1', 'act', '/www/churen/app/act/:活动管理', 200, 2, 'glyphicon glyphicon-tower layui-icon-reply-fill', 2, 1, 1637229112),
(193, '活动管理', 1, 192, '192', 'act.info', 'project/database/list?project=act&table=info&menu=act&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(194, '专题管理', 1, 73, '73', 'content.feature', 'project/database/list?project=content&table=feature&menu=content&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(195, '文章管理', 1, 73, '73', 'content.news', 'project/database/list?project=content&table=news&menu=content&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(196, '结算单', 1, 76, '76', 'cash.order', 'project/database/list?project=cash&table=order&menu=cash&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(197, '门店对账单', 1, 76, '76', 'cash.shop', 'project/database/list?project=cash&table=shop&menu=cash&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637229112),
(198, '门店零售', 1, -1, '-1', 'manage.menu.menu_198', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1637813857),
(199, '订阅消息列表', 1, 141, '141', 'wechat_applet.subscribe', 'project/database/list?project=wechat_applet&table=subscribe&menu=wechat_applet&search_option_state=1', 89, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637813857),
(200, '订阅消息日志', 1, 141, '141', 'wechat_applet.subscribe_log', 'project/database/list?project=wechat_applet&table=subscribe_log&menu=wechat_applet&search_option_state=1', 77, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637813857),
(201, '发送订阅消息', 1, 141, '141', 'wechat_applet.subscribe_send', 'project/database/list?project=wechat_applet&table=subscribe_send&menu=wechat_applet&search_option_state=1', 79, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1637813857),
(202, '短信管理', 5, -1, '-1', 'sms', '/share/lib/php/dever_package/sms/:短信管理', -10, 2, 'glyphicon glyphicon-list-alt layui-icon-note', 2, 1, 1638238703),
(203, '基本配置', 1, 202, '202', 'sms.config', 'project/database/list?project=sms&table=config&menu=sms&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1638238703),
(204, '出库类型设置', 1, 49, '49', 'main.menu_204', 'project/database/list?project=shop&table=out_type&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1638866110),
(205, '出库类型', 1, 198, '198', 'shop.out_type', 'project/database/list?project=shop&table=out_type&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1641294343),
(206, '礼品卡管理', 4, -1, '-1', 'menu_206', '/www/churen/app/card/:礼品卡管理', 90, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1641294343),
(207, '面值配置', 1, 206, '206', 'card.info', 'project/database/list?project=card&table=info&menu=card&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1641294343),
(208, '礼品卡订单', 1, 206, '206', 'card.order', 'project/database/list?project=card&table=order&menu=card&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1641294343),
(209, '类型配置', 1, 206, '206', 'card.type', 'project/database/list?project=card&table=type&menu=card&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1641294343),
(210, '帮助管理', 1, 3, '3', 'manage.help', 'project/database/list?project=manage&table=help&menu=manage&search_option_state=1', 6, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1641643287),
(211, '门店零售', 1, -1, '-1', 'manage.menu.menu_211', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1641643287),
(212, '礼品卡管理', 1, -1, '-1', 'menu_212', '/www/churen/app/card/:礼品卡管理', 90, 2, 'glyphicon glyphicon-tower layui-icon-gift', 2, 2, 1641643287),
(213, '后台操作讲解', 4, 49, '49', 'main.menu_213', 'https://www.churenyiliao.com/package/manage/?l=doc/help', -100, 2, 'glyphicon glyphicon-folder-close layui-icon-light', 2, 1, 1641643457),
(214, '门店单品销售统计', 6, 121, '121', 'menu_121.menu_214', 'project/database/list?project=shop&table=goods_stat&menu=shop&search_option_state=1', -2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644305353),
(215, '门店数据统计', 6, 121, '121', 'menu_121.menu_215', 'project/database/list?project=shop&table=shop_stat&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644305353),
(216, '用户排名统计', 6, 121, '121', 'manage.menu.menu_216', 'project/database/list?project=shop&table=user_buy_stat&menu=shop&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1644305353),
(217, '门店用户复购统计', 1, 121, '121', 'menu_121.menu_217', 'project/database/list?project=shop&table=user_stat&menu=shop&search_option_state=1', -3, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644305353),
(218, '平台商城订单管理', 2, 61, '61', 'menu_61.menu_218', 'project/database/list?project=shop&table=sell_order&menu=shop&search_option_state=1&search_option_shop_type=2', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644305749),
(219, '门店库存查询', 2, 61, '61', 'menu_61.menu_219', 'project/database/list?project=shop&table=goods_sku&menu=shop&search_option_state=1', 96, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644305901),
(220, '仓库发货查询', 2, 59, '59', 'store.menu_220', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1&search_option_type=1&search_option_source_type=2', 96, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644306270),
(221, '仓库库存查询', 2, 59, '59', 'store.menu_221', 'project/database/list?project=store&table=goods_sku&menu=shop&search_option_state=1', 94, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644306341),
(222, '工厂订单查询', 2, 57, '57', 'factory.menu_222', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1&search_option_source_type=3', 97, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644306465),
(223, '仓库库存调拨', 2, 59, '59', 'store.menu_223', 'project/database/list?project=shop&table=buy_order&menu=shop&search_option_state=1&search_option_type=2&search_option_source_type=2', 70, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644758427),
(224, '用户排名统计', 1, 121, '121', 'menu_121.menu_224', 'project/database/list?project=shop&table=user_rank_stat&menu=shop&search_option_state=1', -12, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1644849002),
(225, '城市等级设置', 1, 24, '24', 'area.level', 'project/database/list?project=area&table=level&menu=area&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(226, '门店零售', 1, -1, '-1', 'manage.menu.menu_226', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1645690558),
(227, '门店单品销售统计', 1, 226, '226', 'shop.goods_stat', 'project/database/list?project=shop&table=goods_stat&menu=shop&search_option_state=1', -12, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(228, '门店数据统计', 1, 226, '226', 'shop.shop_stat', 'project/database/list?project=shop&table=shop_stat&menu=shop&search_option_state=1', -11, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(229, '用户排名统计', 1, 226, '226', 'shop.user_rank_stat', 'project/database/list?project=shop&table=user_rank_stat&menu=shop&search_option_state=1', -13, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(230, '门店用户复购统计', 1, 226, '226', 'shop.user_stat', 'project/database/list?project=shop&table=user_stat&menu=shop&search_option_state=1', -13, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(231, '结算对账', 1, -1, '-1', 'manage.menu.menu_231', '/www/churen/app/cash/:结算对账', 200, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 2, 1645690558),
(232, '工厂对账单', 1, 231, '231', 'cash.factory', 'project/database/list?project=cash&table=factory&menu=cash&search_option_state=1', 70, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(233, '仓库对账单', 1, 231, '231', 'cash.store', 'project/database/list?project=cash&table=store&menu=cash&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(234, '代理商基础配置', 7, -1, '-1', 'menu_234', '/www/churen/service/setting/:基础配置', 10, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1645690558),
(235, '合同模板', 1, 234, '234', 'setting.agreement', 'project/database/list?project=setting&table=agreement&menu=setting&search_option_state=1', 3, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(236, '银行列表', 1, 234, '234', 'setting.bank', 'project/database/list?project=setting&table=bank&menu=setting&search_option_state=1', 4, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(237, '系统配置', 1, 234, '234', 'setting.base', 'project/database/list?project=setting&table=base&menu=setting&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(238, '代理商等级', 1, 234, '234', 'setting.level', 'project/database/list?project=setting&table=level&menu=setting&search_option_state=1', 3, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(239, '代理商角色', 1, 234, '234', 'setting.role', 'project/database/list?project=setting&table=role&menu=setting&search_option_state=1', 2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690558),
(240, '代理商运营管理', 7, -1, '-1', 'menu_240', '/www/churen/service/agent/:代理商', 20, 2, 'glyphicon glyphicon-tower layui-icon-website', 2, 1, 1645690563),
(241, '权益订单', 1, 240, '240', 'agent.dh_order', 'project/database/list?project=agent&table=dh_order&menu=agent&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690563),
(242, '代理商管理', 1, 240, '240', 'agent.member', 'project/database/list?project=agent&table=member&menu=agent&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690563),
(243, '代理商订单', 1, 240, '240', 'agent.order', 'project/database/list?project=agent&table=order&menu=agent&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690563),
(244, '代理商财务管理', 7, -1, '-1', 'menu_244', '/www/churen/service/bill/:财务管理', 19, 2, 'glyphicon glyphicon-tower layui-icon-print', 2, 1, 1645690570),
(245, '钱包资金管理', 1, 244, '244', 'menu_244.menu_245', 'project/database/list?project=bill&table=cash&menu=bill&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1645690570),
(246, '业绩日志', 1, 240, '240', 'manage.menu.menu_246', 'project/database/list?project=bill&table=sell&menu=bill&search_option_state=1', 69, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1645690570),
(247, '门店零售', 1, -1, '-1', 'menu_247', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1645691183),
(248, '结算对账', 1, -1, '-1', 'menu_248', '/www/churen/app/cash/:结算对账', 200, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 2, 1645691183),
(249, '合同管理', 1, 240, '240', 'agent.member_agreement', 'project/database/list?project=agent&table=member_agreement&menu=agent&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646212625),
(250, '零售绑定认证', 1, 240, '240', 'agent.menu_250', 'project/database/list?project=agent&table=user_bind&menu=agent&search_option_state=1&page_type=2', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646212625),
(251, '业绩统计', 1, 268, '268', 'menu_268.menu_251', 'project/database/list?project=bill&table=sell_stat&menu=agent&search_option_state=1', 70, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646212625),
(252, '提现管理', 1, 244, '244', 'bill.tixian', 'project/database/list?project=bill&table=tixian&menu=bill&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646212625),
(253, '名额配置', 1, 234, '234', 'setting.prize', 'project/database/list?project=setting&table=prize&menu=setting&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646284942),
(254, '权益管理', 1, 240, '240', 'agent.member_goods', 'project/database/list?project=agent&table=member_goods&menu=agent&search_option_state=1', 81, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1646299658),
(255, '团队管理', 1, 240, '240', 'manage.menu.menu_255', 'project/database/list?project=agent&table=member&menu=agent&search_option_state=1&search_option_pmid=-1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1646300043),
(256, '基础配置', 1, -1, '-1', 'manage.menu.menu_256', '/www/churen/service/setting/:基础配置', 10, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1647091691),
(257, '来源配置', 7, 234, '234', 'menu_234.menu_257', 'project/database/list?project=setting&table=source&menu=setting&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647091691),
(258, '代理商', 1, -1, '-1', 'manage.menu.menu_258', '/www/churen/service/agent/:代理商', 20, 2, 'glyphicon glyphicon-tower layui-icon-website', 2, 2, 1647091691),
(259, '等级变更记录', 7, 288, '288', 'agent.menu_259', 'project/database/list?project=agent&table=member_level_log&menu=agent&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647091691),
(260, '零售绑定认证', 1, 258, '258', 'agent.user_bind', 'project/database/list?project=agent&table=user_bind&menu=agent&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647091691),
(261, '业绩统计', 1, 258, '258', 'agent.bill.sell_stat', 'project/database/list?project=bill&table=sell_stat&menu=agent&search_option_state=1', 79, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647091691),
(262, '财务管理', 1, -1, '-1', 'manage.menu.menu_262', '/www/churen/service/bill/:财务管理', 19, 2, 'glyphicon glyphicon-tower layui-icon-print', 2, 2, 1647091691),
(263, '资金流水', 1, 262, '262', 'bill.cash', 'project/database/list?project=bill&table=cash&menu=bill&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647091691),
(264, '基础配置', 1, -1, '-1', 'menu_264', '/www/churen/service/setting/:基础配置', 10, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1647134192),
(265, '来源配置', 1, 264, '264', 'setting.source', 'project/database/list?project=setting&table=source&menu=setting&search_option_state=1', -1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647134192),
(266, '代理商', 1, -1, '-1', 'menu_266', '/www/churen/service/agent/:代理商', 20, 2, 'glyphicon glyphicon-tower layui-icon-website', 2, 2, 1647134192),
(267, '等级变更记录', 1, 266, '266', 'agent.member_level_log', 'project/database/list?project=agent&table=member_level_log&menu=agent&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647134192),
(268, '代理商数据', 7, -1, '-1', 'menu_268', '/www/churen/service/bill/:财务管理', 19, 2, 'glyphicon glyphicon-tower layui-icon-print', 2, 1, 1647134192);
INSERT INTO `churen_manage_menu` (`id`, `name`, `group_id`, `menu_id`, `menu`, `key`, `link`, `reorder`, `type`, `icon`, `fast`, `state`, `cdate`) VALUES
(269, '基础配置', 1, -1, '-1', 'menu_269', '/www/churen/service/setting/:基础配置', 10, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1647146930),
(270, '代理商', 1, -1, '-1', 'menu_270', '/www/churen/service/agent/:代理商', 20, 2, 'glyphicon glyphicon-tower layui-icon-website', 2, 2, 1647146930),
(271, '已售区域列表', 1, 240, '240', 'menu_240.menu_271', 'project/database/list?project=agent&table=member_area&menu=agent&search_option_state=1&page_type=2', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647146930),
(272, '权益统计', 1, 268, '268', 'menu_268.menu_272', 'project/database/list?project=bill&table=goods_stat&menu=agent&search_option_state=1', 79, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1647146930),
(273, '已售区域列表', 1, 270, '270', 'agent.member_area', 'project/database/list?project=agent&table=member_area&menu=agent&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(274, '权益统计', 1, 270, '270', 'agent.bill.goods_stat', 'project/database/list?project=bill&table=goods_stat&menu=agent&search_option_state=1', 78, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(275, '财务收入报表', 1, 244, '244', 'manage.menu.menu_275', 'project/database/list?project=bill&table=cash_in_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1648708650),
(276, '代理商统计', 1, 268, '268', 'bill.member_stat', 'project/database/list?project=bill&table=member_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(277, '营业额统计', 1, 268, '268', 'bill.order_stat', 'project/database/list?project=bill&table=order_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(278, '业绩流水', 1, 244, '244', 'manage.menu.menu_278', 'project/database/list?project=bill&table=sell&menu=bill&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1648708650),
(279, '期权管理', 8, -1, '-1', 'menu_279', '/www/churen/service/option/:期权管理', 30, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 1, 1648708650),
(280, '期权账户认证审核', 1, 279, '279', 'manage.menu.menu_280', 'project/database/list?project=option&table=account&menu=option&search_option_state=1&search_option_dever_auth=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1648708650),
(281, '期权兑付记录', 1, 279, '279', 'option.bill_duifu', 'project/database/list?project=option&table=bill_duifu&menu=option&search_option_state=1', 88, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(282, '期权发放记录', 1, 279, '279', 'option.bill_fafang', 'project/database/list?project=option&table=bill_fafang&menu=option&search_option_state=1', 89, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(283, '期权交付记录', 1, 279, '279', 'option.bill_jiaofu', 'project/database/list?project=option&table=bill_jiaofu&menu=option&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648708650),
(284, '门店零售', 1, -1, '-1', 'shop', '/www/churen/app/shop/:门店零售', 80, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1648801226),
(285, '结算对账', 1, -1, '-1', 'cash', '/www/churen/app/cash/:结算对账', 200, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 1, 1648801226),
(286, '礼品卡管理', 1, -1, '-1', 'card', '/www/churen/app/card/:礼品卡管理', 90, 2, 'glyphicon glyphicon-tower layui-icon-gift', 2, 1, 1648801226),
(287, '基础配置', 1, -1, '-1', 'setting', '/www/churen/service/setting/:基础配置', 10, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 1, 1648801226),
(288, '代理商日志记录', 7, -1, '-1', 'agent', '/www/churen/service/agent/:代理商', 1, 2, 'glyphicon glyphicon-tower layui-icon-website', 2, 1, 1648801226),
(289, '期权合同管理', 1, 279, '279', 'option.agreement', 'project/database/list?project=option&table=agreement&menu=option&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648801226),
(290, '期权账户管理', 1, 279, '279', 'menu_279.menu_290', 'project/database/list?project=option&table=account&menu=option&search_option_state=1&search_option_dever_auth=2', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1648801294),
(291, '期权账户列表', 1, 279, '279', 'menu_279.menu_291', 'project/database/list?project=option&table=account&menu=option&search_option_state=1&search_option_dever_auth=3', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649665547),
(292, '财务管理', 1, -1, '-1', 'bill', '/www/churen/service/bill/:财务管理', 19, 2, 'glyphicon glyphicon-tower layui-icon-print', 2, 1, 1649906675),
(293, '财务应付报表', 1, 244, '244', 'manage.menu.menu_293', 'project/database/list?project=bill&table=cash_up_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1649906675),
(294, '期权管理', 1, -1, '-1', 'manage.menu.menu_294', '/www/churen/service/option/:期权管理', 30, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 2, 1649906675),
(295, '期权登录账户', 1, 294, '294', 'manage.menu.menu_295', 'project/database/list?project=option&table=account&menu=option&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1649906675),
(296, '账户升级变更记录', 1, 288, '288', 'agent.member_account_log', 'project/database/list?project=agent&table=member_account_log&menu=agent&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649930417),
(297, '区域变更记录', 1, 288, '288', 'agent.member_area_log', 'project/database/list?project=agent&table=member_area_log&menu=agent&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649930417),
(298, '财务收入报表', 1, 244, '244', 'bill.cash_in_stat', 'project/database/list?project=bill&table=cash_in_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649930417),
(299, '财务应付报表', 1, 244, '244', 'bill.cash_up_stat', 'project/database/list?project=bill&table=cash_up_stat&menu=bill&search_option_state=1', -10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649930417),
(300, '业绩流水', 1, 240, '240', 'manage.menu.menu_300', 'project/database/list?project=bill&table=sell&menu=bill&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1649930417),
(301, '期权管理', 1, -1, '-1', 'manage.menu.menu_301', '/www/churen/service/option/:期权管理', 30, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 2, 1649930417),
(302, '期权账户认证审核', 1, 279, '279', 'option.account', 'project/database/list?project=option&table=account&menu=option&search_option_state=1&search_option_dever_auth=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1649930417),
(303, '软件服务费', 1, 240, '240', 'agent.soft_cash', 'project/database/list?project=agent&table=soft_cash&menu=agent&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1650764251),
(304, '业绩流水', 1, 244, '244', 'bill.sell', 'project/database/list?project=bill&table=sell&menu=bill&search_option_state=1', 90, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1650764251),
(305, '期权管理', 1, -1, '-1', 'option', '/www/churen/service/option/:期权管理', 30, 2, 'glyphicon glyphicon-tower layui-icon-form', 2, 1, 1650764251);

--
-- 转储表的索引
--

--
-- 表的索引 `churen_manage_menu`
--
ALTER TABLE `churen_manage_menu`
  ADD PRIMARY KEY (`id`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `churen_manage_menu`
--
ALTER TABLE `churen_manage_menu`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单ID', AUTO_INCREMENT=306;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
